
#!/bin/sh

vmname="$1"

if echo "$vmname" | grep -vqE '^(cvm|capsul)-[a-z0-9]{10}$'; then
  echo "vmname $vmname must match "'"^capsul-[a-z0-9]{10}$"'
  exit 1
fi

# this will let us know if the vm exists or not
exists="false"
if virsh domuuid "$vmname" | grep -vqE '^[\t\s\n]*$'; then
  exists="true"
fi

# this gets the ipv4
ipv4="$(virsh domifaddr "$vmname" | awk '/vnet/ {print $4}' | cut -d'/' -f1)"

echo "$exists $ipv4"